[已解决]OOo3-RC4中文版与SCIM的冲突?

OOo,TeX,KO,ABI,GIMP,Picasa,ProE,QCAD,Inkscape,Kicad,Eagle
回复
头像
wz2tl
帖子: 13
注册时间: 2007-12-12 20:59
送出感谢: 0
接收感谢: 0

[已解决]OOo3-RC4中文版与SCIM的冲突?

#1

帖子 wz2tl » 2008-10-18 12:02

Ubuntu8.04
安装步骤:
1。在新立得里删掉所有Openoffice相关项;
2。下载和解压OOo_3.0.0rc4_20080930_LinuxIntel_install_zh-CN_deb.tar.gz
3。安装所有deb包
4。完成

故障现象:
在MENU中打开OOo3后,只能输入英文,无法切换输入法,用切换快捷键和鼠标点输入法图标都无法切换,退出OOo后在其他程序中正常。
上次由 wz2tl 在 2008-10-18 13:12,总共编辑 2 次。
头像
wz2tl
帖子: 13
注册时间: 2007-12-12 20:59
送出感谢: 0
接收感谢: 0

Re: 急,求助,OOo3-RC4中文版与SCIM的冲突,是谁的问题呢?

#2

帖子 wz2tl » 2008-10-18 12:04

错误提示为:

(soffice:30620): Gtk-WARNING **: /opt/openoffice.org3/program/../basis-link/ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/gtk-2.0/2.10.0/immodules/im-scim.so)

(soffice:30620): Gtk-WARNING **: Loading IM context type 'scim' failed
头像
wz2tl
帖子: 13
注册时间: 2007-12-12 20:59
送出感谢: 0
接收感谢: 0

Re: [已解决]OOo3-RC4中文版与SCIM的冲突?

#3

帖子 wz2tl » 2008-10-18 13:17

建立软连接解决:

ln -sf /usr/lib/libgcc_s.so.1 /opt/openoffice.org/ure/bin/../lib/libgcc_s.so.1

ln -sf /usr/lib//libstdc++.so.6 /opt/openoffice.org3/basis-link/ure-link/lib
头像
raphaelz
帖子: 35
注册时间: 2008-07-01 10:09
来自: 深圳
送出感谢: 0
接收感谢: 0

Re: [已解决]OOo3-RC4中文版与SCIM的冲突?

#4

帖子 raphaelz » 2008-10-25 15:00

Wonderful, I don't know how do you find the solution, but it is very useful to me, thanks a lot!
:em06
iscapee
帖子: 115
注册时间: 2008-02-21 15:20
送出感谢: 0
接收感谢: 0

Re: [已解决]OOo3-RC4中文版与SCIM的冲突?

#5

帖子 iscapee » 2009-03-24 21:10

为什么我试了这个办法还是没效果?
头像
tianping
帖子: 278
注册时间: 2007-08-26 15:57
送出感谢: 0
接收感谢: 0

Re: 急,求助,OOo3-RC4中文版与SCIM的冲突,是谁的问题呢?

#6

帖子 tianping » 2009-04-27 15:01

wz2tl 写了:错误提示为:

(soffice:30620): Gtk-WARNING **: /opt/openoffice.org3/program/../basis-link/ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/gtk-2.0/2.10.0/immodules/im-scim.so)

(soffice:30620): Gtk-WARNING **: Loading IM context type 'scim' failed
这个错误提示是在什么地方找到的?
我用root登录时在OOo3中可以使用scim中文,但是用安装系统时建立的用户就不能使用。我也想找一下有没有错误提示,但不知道到哪里找。
回复

回到 “办公、图像、机械电子设计等”